/*--------------------------------------------------------------
>>> TABLE OF CONTENTS:
----------------------------------------------------------------
# Utility
# Cards
# Common
# Form
# Navigations
# Animations
# Mobile Nav
# Search Popup
# Page Header
# Google Map
# Client Carousel
--------------------------------------------------------------*/

/*--------------------------------------------------------------
# Common
--------------------------------------------------------------*/
:root {
  --afac-font: 'DM Sans', sans-serif;
  --afac-reey-font: "reeyregular";
  --afac-gray: #79817c;
  --afac-gray-rgb: 121, 129, 124;
  --afac-white: #ffffff;
  --afac-white-rgb: 255, 255, 255;
  /* --afac-base: #a79132; */
  --afac-base: #BC955C;
  --afac-base-rgb: 167, 145, 50;
  --afac-black: #121638;
  --afac-black-rgb: 18, 22, 56;
  --afac-primary: #f8f7f1;
  --afac-primary-rgb: 248, 247, 241;
  --afac-letter-spacing: -0.04em;

}

/*--------------------------------------------------------------
# Custom Cursor
--------------------------------------------------------------*/
.custom-cursor__cursor {
  width: 25px;
  height: 25px;
  border-radius: 100%;
  border: 1px solid var(--afac-base);
  -webkit-transition: all 200ms ease-out;
  transition: all 200ms ease-out;
  position: fixed;
  pointer-events: none;
  left: 0;
  top: 0;
  -webkit-transform: translate(calc(-50% + 5px), -50%);
  transform: translate(calc(-50% + 5px), -50%);
  z-index: 999991;
}

.custom-cursor__cursor-two {
  width: 10px;
  height: 10px;
  border-radius: 100%;
  background-color: var(--afac-base);
  opacity: .3;
  position: fixed;
  -webkit-transform: translate(-50%, -50%);
  transform: translate(-50%, -50%);
  pointer-events: none;
  -webkit-transition: width .3s, height .3s, opacity .3s;
  transition: width .3s, height .3s, opacity .3s;
  z-index: 999991;
}

.custom-cursor__hover {
  background-color: var(--afac-base);
  opacity: 0.4;
}

.custom-cursor__innerhover {
  width: 25px;
  height: 25px;
  opacity: .4;
}

/* scroll to top */
.scroll-to-top {
  display: inline-block;
  width: 50px;
  height: 50px;
  background: var(--afac-base);
  position: fixed;
  bottom: 40px;
  right: 40px;
  z-index: 99;
  text-align: center;
  -webkit-transition: all 0.4s ease;
  transition: all 0.4s ease;
  display: none;
  border-radius: 50%;
}

.scroll-to-top i {
  color: var(--afac-white);
  font-size: 18px;
  line-height: 50px;
  -webkit-transition: all 0.4s ease;
  transition: all 0.4s ease;
  position: relative;
  display: inline-block;
  transform: rotate(-90deg);
}

.scroll-to-top:hover {
  background-color: var(--afac-black);
}

.scroll-to-top:hover i {
  color: #fff;
}

.thm-btn {
  position: relative;
  display: inline-block;
  vertical-align: middle;
  -webkit-appearance: none;
  outline: none !important;
  /* background-color: var(--afac-black);
  color: var(--afac-white); */
  font-size: 14px;
  font-weight: 700;
  letter-spacing: 0.1em;
  text-transform: uppercase;
  /* padding: 15px 60px 15px; */
  border-radius: 30px;
  transition: all 0.5s linear;
  z-index: 1;
}

.thm-btn::before {
  position: absolute;
  top: -1px;
  left: -1px;
  bottom: -1px;
  right: -1px;
  background-color: var(--afac-base);
  content: "";
  border-radius: 30px;
  transform: scaleY(0.0) rotateX(0deg);
  -webkit-transition: all 0.2s linear;
  -o-transition: all 0.2s linear;
  transition: all 0.2s linear;
  z-index: -1;
}

.thm-btn:hover {
  color: var(--afac-white);
}

.thm-btn:hover:before {
  transform: scaleY(1.0) rotateX(0deg);
  -webkit-transition: all 0.4s linear;
  -o-transition: all 0.4s linear;
  transition: all 0.4s linear;
}

/*--------------------------------------------------------------
# Services One
--------------------------------------------------------------*/
.services-one {
  position: relative;
  display: block;
  padding: 120px 0 90px;
}

.services-one .container {
  max-width: 1600px;
}

.services-one__single {
  position: relative;
  display: block;
  margin-bottom: 30px;
}

.services-one__img {
  position: relative;
  display: block;
  overflow: hidden;
  z-index: 1;
}

.services-one__img:before {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  content: "";
  background-color: rgba(var(--afac-black-rgb), .40);
  width: 0%;
  transform: translateY(100%);
  transition: all 500ms ease;
  z-index: 1;
}

.services-one__single:hover .services-one__img:before {
  transform: translateY(0);
  width: 100%;
}

.services-one__img img {
  width: 100%;
  -webkit-transition: all 700ms ease;
  transition: all 700ms ease;
}

.services-one__single:hover .services-one__img img {
  transform: scale(1.1);
}

.services-one__content {
  position: relative;
  display: block;
  background-color: rgb(255, 255, 255);
  box-shadow: 0px 0px 60px 0px rgba(0, 0, 0, 0.07);
  margin-top: -40px;
  margin-right: 40px;
  padding: 28px 40px 35px;
  z-index: 2;
}

.services-one__title-box {
  position: relative;
  display: block;
}

.services-one__sub-title {
  font-size: 12px;
  color: var(--afac-base);
  font-weight: 500;
  text-transform: uppercase;
  letter-spacing: 0.1em;
  display: block;
  line-height: 12px;
}

.services-one__title {
  font-size: 24px;
  font-weight: 700;
  line-height: 30px;
  margin-top: 7px;
  margin-bottom: 14px;
}

.services-one__title a {
  color: var(--afac-black);
  -webkit-transition: all 700ms ease;
  transition: all 700ms ease;
}

.services-one__title a:hover {
  color: var(--afac-base);
}

.services-one__arrow {
  position: absolute;
  top: -20px;
  right: 20px;
}

.services-one__arrow span {
  position: relative;
  display: flex;
  align-items: center;
  justify-content: center;
  height: 40px;
  width: 40px;
  background-color: var(--afac-base);
  font-size: 15px;
  color: var(--afac-white);
  -webkit-transition: all 700ms ease;
  transition: all 700ms ease;
}

.services-one__arrow span:hover {
  background-color: var(--afac-black);
}
